# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'addons/version'

Gem::Specification.new do |spec|
  spec.name          = "addons"
  spec.version       = Addons::VERSION
  spec.authors       = ["Addonlist"]
  spec.email         = ["engineering@addons.io"]
  spec.description   = %q{Connect your app to Addons for all your service integrations in one place.}
  spec.summary       = %q{After configuring your app with addons, set app_id and auth_token variables (ENV['ADDONS_API_ID'] and ENV['ADDONS_AUTH_TOKEN']), the gem will pull your services config and set them up for immediate use.}
  spec.homepage      = "https://github.com/addonlist/addons-gem"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "json", "~> 1.8"
  spec.add_dependency "figaro", "~> 0.7"

  spec.add_development_dependency "rails", "~> 4.1"
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake", "~> 10.3"
  spec.add_development_dependency "rspec", "~> 2.6"
end
